Bug 1676997 (CVE-2018-18511) - CVE-2018-18511 mozilla: Cross-origin theft of images with ImageBitmapRenderingContext
Summary: CVE-2018-18511 mozilla: Cross-origin theft of images with ImageBitmapRenderin...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-18511
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20190212,repor...
Depends On: 1714081 1714083 1714084 1714085 1709218 1709219 1709220 1709221 1709222 1714082
Blocks: 1709216 1714079
TreeView+ depends on / blocked
 
Reported: 2019-02-13 18:17 UTC by Laura Pardo
Modified: 2019-06-10 10:47 UTC (History)
15 users (show)

Fixed In Version: firefox 65.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:47:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1265 None None None 2019-05-23 15:32:32 UTC
Red Hat Product Errata RHSA-2019:1267 None None None 2019-05-23 15:48:12 UTC
Red Hat Product Errata RHSA-2019:1269 None None None 2019-05-23 16:07:28 UTC
Red Hat Product Errata RHSA-2019:1308 None None None 2019-06-03 21:14:39 UTC
Red Hat Product Errata RHSA-2019:1309 None None None 2019-06-03 21:15:00 UTC
Red Hat Product Errata RHSA-2019:1310 None None None 2019-06-03 21:15:13 UTC

Internal Links: 1676712

Description Laura Pardo 2019-02-13 18:17:54 UTC
A flaw was found in Firefox version 65. Cross-origin images can be read from a canvas element in violation of the same-origin policy using the transferFromImageBitmap method. 
Note: This only affects Firefox 65. Previous versions are unaffected.


Upstream Bug:
https://bugzilla.mozilla.org/show_bug.cgi?id=1526218

External References:
https://www.mozilla.org/en-US/security/advisories/mfsa2019-04/#CVE-2018-18511

Comment 1 JayJayJazz 2019-02-15 08:03:13 UTC
Issue is fixed in Firefox 65.0.1, which is not yet available in the repos. Reference bug:
https://bugzilla.redhat.com/show_bug.cgi?id=1676712

Comment 4 JayJayJazz 2019-03-28 20:23:33 UTC
I think we can close this one, because Firefox 66 is already available in the repos.

Comment 5 errata-xmlrpc 2019-05-23 15:32:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1265 https://access.redhat.com/errata/RHSA-2019:1265

Comment 6 errata-xmlrpc 2019-05-23 15:48:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1267 https://access.redhat.com/errata/RHSA-2019:1267

Comment 7 errata-xmlrpc 2019-05-23 16:07:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1269 https://access.redhat.com/errata/RHSA-2019:1269

Comment 8 Doran Moppert 2019-05-29 06:22:59 UTC
Statement:

In general, this flaw cannot be exploited through email in Thunderbird because scripting is disabled when reading mail, but it is potentially a risk in browser or browser-like contexts.

Comment 9 errata-xmlrpc 2019-06-03 20:52:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1308 https://access.redhat.com/errata/RHSA-2019:1308

Comment 10 errata-xmlrpc 2019-06-03 21:14:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1308 https://access.redhat.com/errata/RHSA-2019:1308

Comment 11 errata-xmlrpc 2019-06-03 21:14:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1309 https://access.redhat.com/errata/RHSA-2019:1309

Comment 12 errata-xmlrpc 2019-06-03 21:15:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1310 https://access.redhat.com/errata/RHSA-2019:1310


Note You need to log in before you can comment on or make changes to this bug.